Folders
Create a folder
Create a folder in a Space, optionally nested under a parent folder.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
space_id*string
Resource identifier: space_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/folders" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{ "name": "Customer documents" }'{ "id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "parent_id": "123e4567-e89b-42d3-a456-426614174000", "name": "Customer documents", "path": "/", "created_at": "2026-09-04T12:00:00Z", "document_count": 0, "child_folder_count": 0, "total_size": 0}